Home | Documentation | Download | Platforms | Projects | Mailing Lists | Version History

- Main Page
- Classes
- Files
- Related Pages

# Deprecated List

Member graph::del_all_nodes ()
  Deletes all visible nodes, i.e. the hidden ones stay.

Member graph::del_all_edges ()
  Deletes all visible edges, i.e. the hidden ones stay.

Member graph::all_nodes () const
  Returns:
    a list of all nodes of the graph

Member graph::all_edges () const
  Returns:
    a list of all edges of the graph

Member graph::choose_node () const

Member graph::insert_reverse_edges ()
  inserts for all edges of the graph a reverse edge NOTE: this functions does NOT care about existing reverse edges

University of Passau - FMI - Theoretical Computer Science

Design © 2002, 2003 Marcus Raitner, University of Passau